/// <reference types="node" />
/*!
 *
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
import { Command } from '../../../proto/common/Common_pb';
import { HttpReportServiceClient } from '../../../proto/tunnel/http_grpc_pb';
import { CommandExecutor } from './Command';
import { CallOptions } from '@grpc/grpc-js';
import inspector from 'inspector';
export declare class CommandProfileDump implements CommandExecutor {
    session: inspector.Session;
    url?: string;
    readonly options: () => CallOptions;
    httpReportServiceClient?: HttpReportServiceClient;
    constructor();
    start(): void;
    execute(cmd: Command): void;
    profile(props: any, fileName: string): void;
    heapprofile(props: any, fileName: string): void;
    heapdump(props: any, fileName: string): void;
    send(prop?: {}): Promise<any>;
    writeData(props: any, data: any): void;
}
