"use strict";
/*!
 *
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const grpc = tslib_1.__importStar(require("@grpc/grpc-js"));
const AgentConfig_1 = tslib_1.__importDefault(require("../../../config/AgentConfig"));
const os = tslib_1.__importStar(require("os"));
function AuthInterceptor() {
    const mata = new grpc.Metadata();
    if (AgentConfig_1.default.authorization) {
        const auth = AgentConfig_1.default.authorization.split('##');
        let hostname = os.hostname();
        if (auth.length == 2) {
            const params = JSON.parse(auth[1]);
            if (params.node != null) {
                hostname = params.node;
            }
        }
        const params = `{"node": "${hostname}", "agentType": "node.js"}`;
        mata.add('Authentication', `${auth[0]}##${params}`);
    }
    return mata;
}
exports.default = AuthInterceptor;
//# sourceMappingURL=AuthInterceptor.js.map