/*!
 *
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
export declare type AgentConfig = {
    serviceName?: string;
    serviceInstance?: string;
    collectorAddress?: string;
    secure?: boolean;
    authorization?: string;
    maxBufferSize?: number;
    coldEndpoint?: boolean;
    disablePlugins?: string;
    ignoreSuffix?: string;
    traceIgnorePath?: string;
    httpIgnoreMethod?: string;
    sqlTraceParameters?: boolean;
    sqlParametersMaxLength?: number;
    mongoTraceParameters?: boolean;
    mongoParametersMaxLength?: number;
    awsLambdaFlush?: boolean;
    customId?: string;
    customIdType?: string;
    reDisablePlugins?: RegExp;
    reIgnoreOperation?: RegExp;
    reHttpIgnoreMethod?: RegExp;
    customIdList?: string[];
    customIdTypeList?: string[];
    dumpFilePath?: string;
};
export declare function finalizeConfig(config: AgentConfig): void;
declare const _config: {
    serviceName: string;
    serviceInstance: string;
    collectorAddress: string;
    secure: boolean;
    authorization: string | undefined;
    maxBufferSize: number;
    coldEndpoint: boolean;
    disablePlugins: string;
    ignoreSuffix: string;
    traceIgnorePath: string;
    httpIgnoreMethod: string;
    sqlTraceParameters: boolean;
    sqlParametersMaxLength: number;
    mongoTraceParameters: boolean;
    mongoParametersMaxLength: number;
    awsLambdaFlush: boolean;
    reDisablePlugins: RegExp;
    reIgnoreOperation: RegExp;
    reHttpIgnoreMethod: RegExp;
    customIdList: never[];
    customIdTypeList: never[];
    dumpFilePath: string;
};
export default _config;
export declare function ignoreHttpMethodCheck(method: string): boolean;
