/*!
 *
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
import ID from '../../trace/ID';
import { CarrierItem } from './CarrierItem';
export declare class ContextCarrier extends CarrierItem {
    traceId?: ID | undefined;
    segmentId?: ID | undefined;
    spanId?: number | undefined;
    service?: string | undefined;
    serviceInstance?: string | undefined;
    endpoint?: string | undefined;
    clientAddress?: string | undefined;
    items: CarrierItem[];
    constructor(traceId?: ID | undefined, segmentId?: ID | undefined, spanId?: number | undefined, service?: string | undefined, serviceInstance?: string | undefined, endpoint?: string | undefined, clientAddress?: string | undefined, items?: CarrierItem[]);
    private encode;
    private decode;
    get value(): string;
    set value(val: string);
    isValid(): boolean;
    static from(map: {
        [key: string]: string;
    }): ContextCarrier | undefined;
}
